#include "partition.h"
std::vector<int> solve(std::vector<int> A){
    std::vector<int>sol;
    long long lng=A.size();
    if(lng%2==1){
        for(int i=1;i<=lng;i++)if(i%2==1)sol.push_back(i-1);
        for(int i=1;i<=lng;i++)if(i%2==0)sol.push_back(i-1);
    }
    else{
        for(int i=1;i<=lng;i++)if(i%2==0)sol.push_back(i-1);
        for(int i=1;i<=lng;i++)if(i%2==1)sol.push_back(i-1);
    }
    return sol;
}